Incus - Command line client(1)

NAME
incus-network-create - Create new networks

SYNOPSIS
incus network create [:] [=...] [flags]

DESCRIPTION
Description:
  Create new networks

OPTIONS
--description=""
    ``Network description

--target=""
    ``Cluster member name

-t, --type=""
    ``Network type

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Show all debug messages

--explain[=false]
    If the command is valid, explain its parsed arguments instead of running it

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

EXAMPLE
      incus network create foo
          Create a new network called foo

      incus network create foo < config.yaml
          Create a new network called foo using the content of config.yaml.

      incus network create bar network=baz --type ovn
          Create a new OVN network called bar using baz as its uplink network

SEE ALSO
incus-network(1)

HISTORY
30-Jul-2026 Auto generated by spf13/cobra